"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const eq = require("./eq.js");
const isArrayLike = require("./isArrayLike.js");
const _isIndex = require("./_isIndex.js");
const isObject = require("./isObject.js");
function isIterateeCall(value, index, object) {
  if (!isObject.default(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike.default(object) && _isIndex.default(index, object.length) : type == "string" && index in object) {
    return eq.default(object[index], value);
  }
  return false;
}
exports.default = isIterateeCall;
